# getCollectionCase

### Arguments

| Argument                                            | Description |
| --------------------------------------------------- | ----------- |
| id ([ID](/graphql-api/api-reference/objects/id.md)) |             |

### Return fields

#### caseNumber ([String](/graphql-api/api-reference/objects/string.md)!)

The collection case number

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The date and time when the collection case record was first created.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

ID to identify the collection case with

#### invoices ([InvoiceConnection](/graphql-api/api-reference/objects/invoice-connection.md))

Invoices part of this collection case

| Argument                                                        | Description                                                             |
| --------------------------------------------------------------- | ----------------------------------------------------------------------- |
| after ([String](/graphql-api/api-reference/objects/string.md))  | Returns the elements in the list that come after the specified cursor.  |
| before ([String](/graphql-api/api-reference/objects/string.md)) | Returns the elements in the list that come before the specified cursor. |
| first ([Int](/graphql-api/api-reference/objects/int.md))        | Returns the first *n* elements from the list.                           |
| last ([Int](/graphql-api/api-reference/objects/int.md))         | Returns the last *n* elements from the list.                            |

#### ~~project (~~[~~Project~~](/graphql-api/api-reference/objects/project.md)~~!)~~

*`Deprecated: Will be removed.`*

#### status ([CollectionCaseStatus](/graphql-api/api-reference/objects/collection-case-status.md)!)

The status of the collection case

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The date and time when the collection case record was last updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/get-collection-case.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
